kr.co.hanwha.hifive.adapter

## Class CalendarGridAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.adapter.CalendarGridAdapter

    public class CalendarGridAdapter
    extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>

Created by sanghoonkwon on 2018. 1. 18..

### Nested Class Summary

Nested Classes
`static interface` `CalendarGridAdapter.OnCalendarListener` Listener

### Field Summary

Fields
`private java.util.ArrayList<CalendarData>` `mListOfCalendar`
`private CalendarGridAdapter.OnCalendarListener` `onCalendarListener`

### Constructor Summary

Constructors
Constructor and Description
`CalendarGridAdapter(CalendarGridAdapter.OnCalendarListener onCalendarListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItems(java.util.ArrayList<CalendarData> items)`
`int` `getItemCount()`
`void` `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
`android.support.v7.widget.RecyclerView.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mListOfCalendar

    private java.util.ArrayList<CalendarData> mListOfCalendar

#### onCalendarListener

    private CalendarGridAdapter.OnCalendarListener onCalendarListener

### Constructor Detail

#### CalendarGridAdapter

    public CalendarGridAdapter(CalendarGridAdapter.OnCalendarListener onCalendarListener)

### Method Detail

#### onCreateViewHolder

    public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                int viewType)

Specified by:
  `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### addItems

    public void addItems(java.util.ArrayList<CalendarData> items)